apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "n8n.fullname" . }}
  labels:
    {{- include "n8n.labels" . | nindent 4 }}
data:
  N8N_HOST: {{ .Values.config.N8N_HOST | quote }}
  N8N_PROTOCOL: {{ .Values.config.N8N_PROTOCOL | quote }}
  WEBHOOK_URL: {{ .Values.config.WEBHOOK_URL | quote }}
  GENERIC_TIMEZONE: {{ .Values.config.GENERIC_TIMEZONE | quote }}
  N8N_SECURE_COOKIE: {{ .Values.config.N8N_SECURE_COOKIE | quote }}
  DB_TYPE: {{ .Values.config.DB_TYPE | quote }}
  DB_SQLITE_FILE: {{ .Values.config.DB_SQLITE_FILE | quote }}
  {{- with .Values.configData }}
  {{- toYaml . | nindent 2 }}
  {{- end }}
